/******************************************************************************/
/*  This file is part of the uVision/ARM development tools                    */
/*  Copyright KEIL ELEKTRONIK GmbH 2002-2004                                  */
/******************************************************************************/
/*                                                                            */
/*  ARMMAIN.C:  ARM/Thumb Interworking Example                                */
/*              ARM main() calling Thumb function                             */
/*                                                                            */
/******************************************************************************/

#include <stdio.h>                /* prototype declarations for I/O functions */

extern void init_serial (void);
extern void thumb_function (void);

int main (void) {
  init_serial();
  printf("Hello from ARM\n"); 
  thumb_function(); 
  printf("And goodbye from ARM\n"); 
  return (0); 
}
