/******************************************************************************/
/*  This file is part of the uVision/ARM development tools                    */
/*  Copyright KEIL ELEKTRONIK GmbH 2002-2004                                  */
/******************************************************************************/
/*                                                                            */
/*  THUMBMAIN.C:  ARM/Thumb Interworking Example                              */
/*                Thumb main() calling ARM function                           */
/*                                                                            */
/******************************************************************************/

#include <stdio.h>                /* prototype declarations for I/O functions */

extern void init_serial (void);
extern void arm_function (void);

int main (void) {
  init_serial();
  printf("Hello from Thumb\n"); 
  arm_function(); 
  printf("And goodbye from Thumb\n"); 
  return (0); 
}
