/******************************************************************************/
/*  This file is part of the CA ARM C Compiler package                        */
/*  Copyright KEIL ELEKTRONIK GmbH 2002 - 2004                                */
/******************************************************************************/
/*                                                                            */
/*  SWI.S:  SWI Handler                                                       */
/*                                                                            */
/******************************************************************************/


AREA ?C?SWI, CODE, READONLY, ALIGN=2

EXTERN CODE32 (SWIHandler?A)

PUBLIC SWI_Handler?A

SWI_Handler?A   PROC    CODE32
             
                STMFD   SP!, {R0-R12, LR}   ; Save Workspace & LR into Stack
                MRS     R1, SPSR            ; Copy SPSR into R1
                STMFD   SP!, {R1}           ; Save SPSR into Stack
                BL      SWIHandler?A        ; Branch to SWI Handler
                LDMFD   SP!, {R1}           ; Restore SPSR into R1
                MSR     SPSR_CXSF, R1       ; Restore SPSR
                LDMFD   SP!, {R0-R12, PC}^  ; Return to program after
                                            ; SWI Instruction
         
                ENDP


                END
